<?php

    /**
     * 
     * Plugin Name: Copianto
     * Description: This is a plugin for integrating copianto Ai into your website.
     * Version: 2.1.0
     * Author: Copianto AI
     * Text Domain: copianto
     * License: GPLv2 or later
     * License URI: https://www.gnu.org/licenses/gpl-2.0.html
     * 
    */

    // if (!defined('ABSPATH')) {
    //     die('You cannot be here!');
    // }
    
    if ( ! defined( 'ABSPATH' ) ) {
        exit; // Exit if accessed directly
    }

    if (!class_exists('CopiantoPlugin')) {
        class CopiantoPlugin {
        
            public function __construct()
            {
                define('COPIANTO_PATH', plugin_dir_path(__FILE__));

                require_once( COPIANTO_PATH.'/vendor/autoload.php' );
            }

            public function initialize()
            {
                include_once COPIANTO_PATH.'/includes/options-page.php';
            }

        }

        $copiantoPlugin = new CopiantoPlugin;
        $copiantoPlugin->initialize();
    }

?>